Package org.eclipse.birt.chart.model.attribute

# Interface Style

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `StyleImpl`

public interface Style extends IChartObject
A representation of the model object 'Style'. Style provides a holder for all properties that can be styled.

The following features are supported:

- `Font`
- `Color`
- `Background Color`
- `Background Image`
- `Padding`

See Also:
  - `AttributePackage.getStyle()`

## Method Summary

Modifier and Type
Method
Description
`Style`
`copyInstance()`
`ColorDefinition`
`getBackgroundColor()`
Returns the value of the 'Background Color' containment reference.
`Image`
`getBackgroundImage()`
Returns the value of the 'Background Image' containment reference.
`ColorDefinition`
`getColor()`
Returns the value of the 'Color' containment reference.
`FontDefinition`
`getFont()`
Returns the value of the 'Font' containment reference.
`Insets`
`getPadding()`
Returns the value of the 'Padding' containment reference.
`void`
`setBackgroundColor(ColorDefinition value)`
Sets the value of the '`Background Color`' containment reference.
`void`
`setBackgroundImage(Image value)`
Sets the value of the '`Background Image`' containment reference.
`void`
`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
`setFont(FontDefinition value)`
Sets the value of the '`Font`' containment reference.
`void`
`setPadding(Insets value)`
Sets the value of the '`Padding`' containment reference.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getFont

FontDefinition getFont()
Returns the value of the 'Font' containment reference. Speicifies the font setting for this style.

Returns:
  the value of the 'Font' containment reference.
See Also:
  - `setFont(FontDefinition)`
  - `AttributePackage.getStyle_Font()`

### setFont

void setFont(FontDefinition value)
Sets the value of the '`Font`' containment reference.

Parameters:
  `value` - the new value of the 'Font' containment reference.
See Also:
  - `getFont()`

### getColor

ColorDefinition getColor()
Returns the value of the 'Color' containment reference. Specifies the font color for this style.

Returns:
  the value of the 'Color' containment reference.
See Also:
  - `setColor(ColorDefinition)`
  - `AttributePackage.getStyle_Color()`

### setColor

void setColor(ColorDefinition value)
Sets the value of the '`Color`' containment reference.

Parameters:
  `value` - the new value of the 'Color' containment reference.
See Also:
  - `getColor()`

### getBackgroundColor

ColorDefinition getBackgroundColor()
Returns the value of the 'Background Color' containment reference. Specifies the background color for this style.

Returns:
  the value of the 'Background Color' containment reference.
See Also:
  - `setBackgroundColor(ColorDefinition)`
  - `AttributePackage.getStyle_BackgroundColor()`

### setBackgroundColor

void setBackgroundColor(ColorDefinition value)
Sets the value of the '`Background Color`' containment reference.

Parameters:
  `value` - the new value of the 'Background Color' containment reference.
See Also:
  - `getBackgroundColor()`

### getBackgroundImage

Image getBackgroundImage()
Returns the value of the 'Background Image' containment reference. Specifies the background image for this style.

Returns:
  the value of the 'Background Image' containment reference.
See Also:
  - `setBackgroundImage(Image)`
  - `AttributePackage.getStyle_BackgroundImage()`

### setBackgroundImage

void setBackgroundImage(Image value)
Sets the value of the '`Background Image`' containment reference.

Parameters:
  `value` - the new value of the 'Background Image' containment reference.
See Also:
  - `getBackgroundImage()`

### getPadding

Insets getPadding()
Returns the value of the 'Padding' containment reference. Specifies the padding for this style.

Returns:
  the value of the 'Padding' containment reference.
See Also:
  - `setPadding(Insets)`
  - `AttributePackage.getStyle_Padding()`

### setPadding

void setPadding(Insets value)
Sets the value of the '`Padding`' containment reference.

Parameters:
  `value` - the new value of the 'Padding' containment reference.
See Also:
  - `getPadding()`

### copyInstance

Style copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`